/**
* DevExtreme (data/local_store.d.ts)
* Version: 21.1.0 (build 20336-2119)
* Build date: Tue Dec 01 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import ArrayStore, {
    ArrayStoreOptions
} from './array_store';

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface LocalStoreOptions extends ArrayStoreOptions<LocalStore> {
    /**
     */
    flushInterval?: number;
    /**
     */
    immediate?: boolean;
    /**
     */
    name?: string;
}
/**
 */
export default class LocalStore extends ArrayStore {
    constructor(options?: LocalStoreOptions)
    /**
     */
    clear(): void;
}
