/**
* DevExtreme (time_zone_utils.d.ts)
* Version: 21.1.0 (build 20336-2119)
* Build date: Tue Dec 01 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxSchedulerTimeZone {
    /**
     * Warning! This type is used for internal purposes. Do not import it directly.
     */
    id: string;
    /**
     * Warning! This type is used for internal purposes. Do not import it directly.
     */
    offset: number;
    /**
     * Warning! This type is used for internal purposes. Do not import it directly.
     */
    title: string;
}

/**
 * Gets the list of IANA time zone objects.
 */
export function getTimeZones(date?: Date): Array<dxSchedulerTimeZone>;
